package com.liquidnet.service.galaxy.constant;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GalaxyConstant
 * @Package com.liquidnet.service.galaxy.constant
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/3/8 11:25
 */
public class GalaxyConstant {
    public static final String REDIS_KET_GALAXY_USER="galaxy:user:";
    public static final String REDIS_KET_GALAXY_SERIES="galaxy:series:";

    public static final String SERIES_NAME_PREFIX="NOW_ZXL_";// 系列存储目录名称和系列声明

    public enum RouterTypeEnum{
        ZXINCHAIN("zxinchain","至信链"),
        ETH ("eth","以太坊"),
        ANTCHAIN ("antchain","蚂蚁链"),
        XUPER("xuper","百度超级链");
        private String code;
        private String message;
        RouterTypeEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public String getCode() {
            return code;
        }
    }


    /**
     * 路由业务枚举
     */
    public enum SeriesClaimStatusEnum{
        PROCESSING("processing","系列声明中"),
        SUCCESS ("success","系列声明成功"),
        FAIL ("fail","系列声明失败");
        private String code;
        private String message;
        SeriesClaimStatusEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public String getCode() {
            return code;
        }
    }

    /**
     * 路由业务枚举
     */
    public enum RouterBusinessEnum{
        NFT("nft","数字藏品nft"),
        DCI ("dci","数字存证dci");
        private String code;
        private String message;
        RouterBusinessEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public String getCode() {
            return code;
        }
    }


    public enum DeviceFromEnum{
        WEB("web",""),
        WAP("wap",""),
        WAPPAGE("wappage",""),
        APP("app",""),
        JS("js",""),
        APPLET("applet","");
        private String code;
        private String message;
        DeviceFromEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }
        public String getCode() {
            return code;
        }
    }

    public static void main(String[] args) {
        Integer aaa = 1;
        if(aaa.toString().equals(RouterTypeEnum.ZXINCHAIN.getCode())){
            System.out.println("支付成功");
        }
    }
}
